curl --request POST \
--url https://api.cadanapay.com/v1/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"email": "john.doe@example.com",
"countryCode": "PH",
"currency": "PHP",
"kyc": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1985-12-20",
"countryCode": "PH",
"idType": "PASSPORT",
"idNumber": "PA1234567",
"idFileFront": "517075a2-17db-469f-9481-eb8347cb920c"
},
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"bankName": "Philippines Bank",
"bankCode": "001",
"address": {
"line1": "Mabini St",
"line2": "Bldg 2",
"city": "Manila",
"postalCode": "1000",
"countryCode": "PH"
}
}
}
}
'{
"id": "7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"
}Create a new beneficiary i.e employee/contractor’s payout account
curl --request POST \
--url https://api.cadanapay.com/v1/beneficiaries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"email": "john.doe@example.com",
"countryCode": "PH",
"currency": "PHP",
"kyc": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1985-12-20",
"countryCode": "PH",
"idType": "PASSPORT",
"idNumber": "PA1234567",
"idFileFront": "517075a2-17db-469f-9481-eb8347cb920c"
},
"paymentDetails": {
"preferredMethod": "bank",
"bank": {
"accountName": "John Doe",
"accountNumber": "123456789",
"bankName": "Philippines Bank",
"bankCode": "001",
"address": {
"line1": "Mabini St",
"line2": "Bldg 2",
"city": "Manila",
"postalCode": "1000",
"countryCode": "PH"
}
}
}
}
'{
"id": "7a7f80a6-1665-4f64-9ef3-d5f90f8f309b"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"John Doe"
The country code of the beneficiary in ISO 3166-1 alpha-2 format
"KE"
The currency of the beneficiary in ISO 4217 format
"KES"
Show child attributes
KYC attributes for a beneficiary
Show child attributes
"john.doe@example.com"
Beneficiary created response
"0a8753af-7f6b-4bc0-b144-7deea6c7ff1e"